# Gimp.Gradient.segment_range_set_coloring_type

    @accepts(Gimp.Gradient, int, int, Gimp.GradientSegmentColor)
    @returns(bool)
    def segment_range_set_coloring_type(self, start_segment, end_segment, coloring_type):
        # Python wrapper for gimp_gradient_segment_range_set_coloring_type()

Sets the coloring type of a range of segments

Sets the coloring type of a range of segments. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

self

  The gradient.

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

coloring_type

  The coloring type.

Returns